X2Go Bug report logs - #945
Fwd: [Bug 1264609] New: [abrt] x2goclient: publickey_to_string(): x2goclient killed by SIGSEGV

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Orion Poplawski <orion@cora.nwra.com>

Date: Sat, 19 Sep 2015 19:25:01 UTC

Severity: normal

Tags: pending

Found in version 4.0.5.0

Fixed in version 4.0.5.1

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Full log


🔗 View this message in rfc822 format

X-Loop: owner@bugs.x2go.org
Subject: Bug#945: X2Go issue (in src:x2goclient) has been marked as pending for release
Reply-To: Mihai Moldovan <ionic@ionic.de>, 945@bugs.x2go.org
Resent-From: Mihai Moldovan <ionic@ionic.de>
Resent-To: x2go-dev@lists.x2go.org
Resent-CC: X2Go Developers <x2go-dev@lists.x2go.org>
X-Loop: owner@bugs.x2go.org
Resent-Date: Thu, 14 Jan 2016 04:20:03 +0000
Resent-Message-ID: <handler.945.B945.145274493013415@bugs.x2go.org>
Resent-Sender: owner@bugs.x2go.org
X-X2Go-PR-Message: followup 945
X-X2Go-PR-Package: x2goclient
X-X2Go-PR-Keywords: 
Received: via spool by 945-submit@bugs.x2go.org id=B945.145274493013415
          (code B ref 945); Thu, 14 Jan 2016 04:20:03 +0000
Received: (at 945) by bugs.x2go.org; 14 Jan 2016 04:15:30 +0000
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,NO_RELAYS,
	URIBL_BLOCKED autolearn=unavailable version=3.3.2
Received: by ymir.das-netzwerkteam.de (Postfix, from userid 1005)
	id 62ED75DB06; Thu, 14 Jan 2016 05:15:03 +0100 (CET)
From: Mihai Moldovan <ionic@ionic.de>
To: 945-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 945@bugs.x2go.org
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Mailer: http://snipr.com/post-receive-tag-pending
Message-Id: <20160114041504.62ED75DB06@ymir.das-netzwerkteam.de>
Date: Thu, 14 Jan 2016 05:15:03 +0100 (CET)
tag #945 pending
fixed #945 4.0.5.1
thanks

Hello,

X2Go issue #945 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=fcf573f

The issue will most likely be fixed in src:x2goclient (4.0.5.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit fcf573ff3523dfbb1da89a3e699a1aab097103d7
Author: Orion Poplawski <orion@cora.nwra.com>
Date:   Thu Jan 14 04:02:20 2016 +0100

    sshmasterconnection.cpp: check correct variable for validity: public key instead of private key (again.) Fixes: #945.

diff --git a/debian/changelog b/debian/changelog
index 2f8f895..d0a9f30 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -66,6 +66,8 @@ x2goclient (4.0.5.1-0x2go1) UNRELEASED; urgency=low
       for ~/.bash_logout and friend scripts to be executed, which may contain
       calls to ncurses' reset or clear, also set the TERM variable to dump to
       not have unexpected output on stderr at logout time.
+    - sshmasterconnection.cpp: check correct variable for validity: public key
+      instead of private key (again.) Fixes: #945.
 
  -- X2Go Release Manager <git-admin@x2go.org>  Tue, 28 Jul 2015 06:05:27 +0200
 

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Sep 26 03:35:34 2020; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.